Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Library

    java.lang.Object
      |
      +--org.hsqldb.Library

class Library
extends Object

Field Summary
`(package private) static double` | `LOG10_FACTOR`
`(package private) static java.util.Random` | `rRandom`
`(package private) final static java.lang.String[]` | `sNumeric`
`(package private) final static java.lang.String[]` | `sString`
`(package private) final static java.lang.String[]` | `sSystem`
`(package private) final static java.lang.String[]` | `sTimeDate`

Constructor Summary
`(package private)` | `Library()`

Method Summary
`static java.lang.Integer` | `ascii(java.lang.String )`
`static int` | `bitand(int , int )`
`static int` | `bitor(int , int )`
`static java.lang.String` | `character(int )`
`static java.lang.String` | `concat(java.lang.String , java.lang.String )`
`static double` | `cot(double )`
`static java.sql.Date` | `curdate()`
`static java.sql.Time` | `curtime()`
`static java.lang.String` | `database(java.sql.Connection )`
`static java.lang.String` | `dayname(java.sql.Date )`
`static int` | `dayofmonth(java.sql.Date )`
`static int` | `dayofweek(java.sql.Date )`
`static int` | `dayofyear(java.sql.Date )`
`static int` | `difference(java.lang.String , java.lang.String )`
`static int` | `hour(java.sql.Time )`
`static int` | `identity(java.sql.Connection )`
`static java.lang.String` | `insert(java.lang.String , int , int , java.lang.String )`
`static java.lang.String` | `lcase(java.lang.String )`
`static java.lang.String` | `left(java.lang.String , int )`
`static int` | `length(java.lang.String )`
`static int` | `locate(java.lang.String , java.lang.String , java.lang.Integer )`
`static double` | `log10(double )`
`static java.lang.String` | `ltrim(java.lang.String )`
`static int` | `minute(java.sql.Time )`
`static int` | `mod(int , int )`
`static int` | `month(java.sql.Date )`
`static java.lang.String` | `monthname(java.sql.Date )`
`static java.sql.Timestamp` | `now()`
`static double` | `pi()`
`static int` | `quarter(java.sql.Date )`
`static double` | `rand(java.lang.Integer )`
`(package private) static void` | `register(java.util.Hashtable )`
`static java.lang.String` | `repeat(java.lang.String , int )`
`static java.lang.String` | `replace(java.lang.String , java.lang.String , java.lang.String )`
`static java.lang.String` | `right(java.lang.String , int )`
`static double` | `round(double , int )`
`static double` | `roundMagic(double )`
`static java.lang.String` | `rtrim(java.lang.String )`
`static int` | `second(java.sql.Date )`
`static int` | `sign(double )`
`static java.lang.String` | `soundex(java.lang.String )`
`static java.lang.String` | `space(int )`
`static java.lang.String` | `substring(java.lang.String , int , java.lang.Integer )`
`static double` | `truncate(double , int )`
`static java.lang.String` | `ucase(java.lang.String )`
`static java.lang.String` | `user(java.sql.Connection )`
`static int` | `week(java.sql.Date )`
`static int` | `year(java.sql.Date )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### LOG10_FACTOR

    static double LOG10_FACTOR

### rRandom

    static java.util.Random rRandom

### sNumeric

    final static java.lang.String[] sNumeric

### sString

    final static java.lang.String[] sString

### sSystem

    final static java.lang.String[] sSystem

### sTimeDate

    final static java.lang.String[] sTimeDate

Constructor Detail

### Library

    Library()

Method Detail

### ascii

    public static java.lang.Integer ascii(java.lang.String )

### bitand

    public static int bitand(int , int )

### bitor

    public static int bitor(int , int )

### character

    public static java.lang.String character(int )

### concat

    public static java.lang.String concat(java.lang.String , java.lang.String )

### cot

    public static double cot(double )

### curdate

    public static java.sql.Date curdate()

### curtime

    public static java.sql.Time curtime()

### database

    public static java.lang.String database(java.sql.Connection )

### dayname

    public static java.lang.String dayname(java.sql.Date )

### dayofmonth

    public static int dayofmonth(java.sql.Date )

### dayofweek

    public static int dayofweek(java.sql.Date )

### dayofyear

    public static int dayofyear(java.sql.Date )

### difference

    public static int difference(java.lang.String , java.lang.String )

### hour

    public static int hour(java.sql.Time )

### identity

    public static int identity(java.sql.Connection )

### insert

    public static java.lang.String insert(java.lang.String , int , int , java.lang.String )

### lcase

    public static java.lang.String lcase(java.lang.String )

### left

    public static java.lang.String left(java.lang.String , int )

### length

    public static int length(java.lang.String )

### locate

    public static int locate(java.lang.String , java.lang.String , java.lang.Integer )

### log10

    public static double log10(double )

### ltrim

    public static java.lang.String ltrim(java.lang.String )

### minute

    public static int minute(java.sql.Time )

### mod

    public static int mod(int , int )

### month

    public static int month(java.sql.Date )

### monthname

    public static java.lang.String monthname(java.sql.Date )

### now

    public static java.sql.Timestamp now()

### pi

    public static double pi()

### quarter

    public static int quarter(java.sql.Date )

### rand

    public static double rand(java.lang.Integer )

### register

    static void register(java.util.Hashtable )

### repeat

    public static java.lang.String repeat(java.lang.String , int )

### replace

    public static java.lang.String replace(java.lang.String , java.lang.String , java.lang.String )

### right

    public static java.lang.String right(java.lang.String , int )

### round

    public static double round(double , int )

### roundMagic

    public static double roundMagic(double )

### rtrim

    public static java.lang.String rtrim(java.lang.String )

### second

    public static int second(java.sql.Date )

### sign

    public static int sign(double )

### soundex

    public static java.lang.String soundex(java.lang.String )

### space

    public static java.lang.String space(int )

### substring

    public static java.lang.String substring(java.lang.String , int , java.lang.Integer )

### truncate

    public static double truncate(double , int )

### ucase

    public static java.lang.String ucase(java.lang.String )

### user

    public static java.lang.String user(java.sql.Connection )

### week

    public static int week(java.sql.Date )

### year

    public static int year(java.sql.Date )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD